Submit transaction with async scoring

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

This method is identical to the standard endpoint, except that it supports the options.async body parameter, which determines whether the scoring process runs asynchronously.

All other behavior and parameters are the same as in the standard Submit transaction method.

Request example

curl -X POST \
      'https://api.sumsub.com/resources/api/applicants/tm/678a4d03f5d00001a147b000/submit' \
      -H 'content-type: application/json' \
      -H 'X-App-Token: <your-app-token>' \
      -H 'X-App-Access-Sig: <your-signature>' \
      -H 'X-App-Access-Ts: <unix-timestamp>' \
      -d '{
            "options": {
              "async": true
            },
            "data": {
              "txnId": "finance0001",
              "txnDate": "2024-04-04 13:50:00+0300",
              "zoneId": "UTC+01:00",
              "type": "finance",
              "info": {
                "direction": "out",
                "amount": 1000,
                "currencyCode": "EUR",
                "currencyType": "fiat",
                "paymentDetails": "InfoDetails",
                "type": "CustomTxnType"
              },
              "applicant": {
                "type": "individual",
                "externalUserId": "Finance0001",
                "fullName": "John Smith",
                "fullNameEn": "John Smith",
                "placeOfBirth": "settlementName",
                "dob": "1995-09-30",
                "address": {
                  "country": "CAN",
                  "postCode": "123456",
                  "town": "usersAddressTown",
                  "state": "usersAddState",
                  "street": "usersAddSt",
                  "subStreet": "usersAddSbSt",
                  "flatNumber": "101",
                  "buildingNumber": "202",
                  "buildingName": "usersAddBuildName",
                  "formattedAddress": "postCode, town, state, street, buildingNumber"
                },
                "institutionInfo": {
                  "address": {
                    "country": "PRT"
                  },
                  "code": "BIC",
                  "name": "Wells Fargo"
                },
                "paymentMethod": {
                  "type": "card",
                  "accountId": "XX00123456789012345678",
                  "issuingCountry": "CAN"
                },
                "device": {
                  "ipInfo": {
                    "lat": 300,
                    "lon": 500,
                    "ip": "178.123.68.138",
                    "countryCode3": "POL"
                  },
                  "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_2) AppleWebKit/601.3.9 (KHTML, like Gecko) Version/9.0.2 Safari/601.3.9",
                  "sessionId": "r-v3-812412m9e12d42",
                  "sessionAgeMs": 18,
                  "acceptLang": "en",
                  "fingerprint": "usersDeviceFing"
                }
              },
              "counterparty": {
                "type": "individual",
                "externalUserId": "cpExtId",
                "fullName": "CP Name",
                "fullNameEn": "CP Fullname English",
                "placeOfBirth": "settlementName",
                "dob": "1995-09-30",
                "address": {
                  "country": "QAT",
                  "postCode": "987654",
                  "town": "cpTown",
                  "state": "cpState",
                  "street": "cpStreet",
                  "subStreet": "cpSubStreet",
                  "flatNumber": "303",
                  "buildingNumber": "404",
                  "buildingName": "cpBuildingName",
                  "formattedAddress": "postCode, town, state, street, buildingNumber"
                },
                "institutionInfo": {
                  "address": {
                    "country": "PAN"
                  },
                  "code": "BIC",
                  "name": "Wells Fargo"
                },
                "paymentMethod": {
                  "type": "card",
                  "accountId": "cpPayAccId",
                  "issuingCountry": "SVN"
                },
                "device": {
                  "ipInfo": {
                    "lat": 600,
                    "lon": 700,
                    "ip": "192.2.2",
                    "countryCode3": "SJM"
                  },
                  "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_11_2) AppleWebKit/601.3.9 (KHTML, like Gecko) Version/9.0.2 Safari/601.3.9",
                  "sessionId": "r-v3-812412m9e12d42",
                  "sessionAgeMs": 18,
                  "acceptLang": "en",
                  "fingerprint": "cpDevFing"
                }
              },
              "props": {
                "customProperty": "Custom value",
                "dailyOutLimit": "10000"
              }
            }
          }'
📘

Note

See Submit transaction for details and example payloads for the data object.

Response example

{
  "id": "663b3883f882642c48f43af0",
  "applicantId": "663b3883f882642c48f43aea",
  "scope": "events",
  "externalUserId": "Finance0001",
  "clientId": "korban.inc",
  "data": {
    "txnId": "finance0001",
    "txnDate": "2024-04-04 10:50:00+0000",
    "type": "finance",
    "info": {
      "type": "CustomTxnType",
      "direction": "out",
      "amount": 1000,
      "currencyCode": "EUR",
      "currencyType": "fiat",
      "amountInDefaultCurrency": 1000,
      "defaultCurrencyCode": "EUR",
      "paymentDetails": "InfoDetails"
    },
    "applicant": {
      "externalUserId": "Finance0001",
      "fullName": "Users Fullname",
      "fullNameEn": "Users Fullname",
      "dob": "1995-09-30",
      "placeOfBirth": "settlementName",
      "address": {
        "buildingName": "usersAddBuildName",
        "flatNumber": "101",
        "subStreet": "usersAddSbSt",
        "subStreetEn": "usersAddSbStEn",
        "street": "usersAddSt",
        "streetEn": "usersAddStEn",
        "state": "usersAddState",
        "stateEn": "usersAddStateEn",
        "buildingNumber": "202",
        "town": "usersAddressTown",
        "townEn": "usersAddressTownEn",
        "postCode": "123456",
        "country": "CAN",
        "formattedAddress": "postCode, town, state, street, buildingNumber"
      },
      "type": "individual",
      "paymentMethod": {
        "type": "card",
        "accountId": "usersWalletAddress",
        "issuingCountry": "CAN"
      },
      "paymentMethodExtractedInfo": {
        "type": "smartContract"
      },
      "device": {
        "ipInfo": {
          "ip": "178.123.68.138",
          "countryCode2": "PL",
          "countryCode3": "POL",
          "city": "Zhytkavichy",
          "zipCode": "225749",
          "lat": 300,
          "lon": 500,
          "asn": 6697,
          "asnOrg": "Republican Unitary Telecommunication Enterprise Poltelecom",
          "riskyAsn": false
        },
        "userAgent": "usersDeviceUA",
        "sessionId": "usersDeviceSesId",
        "sessionAgeMs": 18,
        "acceptLang": "en",
        "fingerprint": "usersDeviceFing"
      },
      "institutionInfo": {
        "code": "InstCode",
        "name": "InstName",
        "address": {
          "country": "PRT"
        }
      }
    },
    "counterparty": {
      "externalUserId": "cpExtId",
      "fullName": "Users Fullname",
      "fullNameEn": "Users Fullname",
      "dob": "1995-09-30",
      "placeOfBirth": "settlementName",
      "address": {
        "buildingName": "cpBuildingName",
        "flatNumber": "303",
        "subStreet": "cpSubStreet",
        "subStreetEn": "cpSubStreetEn",
        "street": "cpStreet",
        "streetEn": "cpStreetEn",
        "state": "cpState",
        "stateEn": "cpStateEn",
        "buildingNumber": "404",
        "town": "cpTown",
        "townEn": "cpTownEn",
        "postCode": "987654",
        "country": "QAT",
        "formattedAddress": "postCode, town, state, street, buildingNumber"
      },
      "type": "individual",
      "paymentMethod": {
        "type": "cpPayType",
        "accountId": "cpPayAccId",
        "issuingCountry": "SVN"
      },
      "paymentMethodExtractedInfo": {
        "type": "smartContract"
      },
      "device": {
        "ipInfo": {
          "ip": "178.123.68.138",
          "countryCode3": "SJM",
          "lat": 600,
          "lon": 700,
          "riskyAsn": false
        },
        "userAgent": "cpDevUA",
        "sessionId": "cpDevSess",
        "sessionAgeMs": 18,
        "acceptLang": "en",
        "fingerprint": "cpDevFing"
      },
      "institutionInfo": {
        "code": "cpInstCode",
        "name": "cpInstName",
        "address": {
          "country": "PAN"
        }
      }
    },
    "props": {
      "customProperty": "Custom value",
      "dailyOutLimit": "10000"
    }
  },
  "score": 0,
  "review": {
    "reviewId": "vlMRF",
    "attemptId": "oANbQ",
    "attemptCnt": 1,
    "elapsedSincePendingMs": 24,
    "elapsedSinceQueuedMs": 24,
    "createDate": "2024-05-08 08:32:03+0000",
    "reviewResult": {
      "reviewAnswer": "GREEN"
    },
    "reviewStatus": "completed"
  },
  "createdAt": "2024-05-08 08:32:03+0000",
  "scoringResult": {
    "score": 0,
    "dryScore": 0,
    "matchedRules": [],
    "unmatchedRules": [],
    "action": "score",
    "ruleCnt": 0,
    "dryRunRuleCnt": 0,
    "tagScores": []
  },
  "typedTags": [],
  "txnInactive": false
}
📘

Note

See Submit transaction for details and example responses.

Path Params
string
required

Unique identifier of the applicant who passed user verification (KYC). If you do not have such an applicant, use Submit transaction for non-existing applicant instead.

Body Params
options
object
data
object

Request body parameters, as defined in the standard method.

Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!